﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace DockManagerFixedPane
{
    public partial class Form1 : Form
    {
        DockAreaPane dockArea = new DockAreaPane(DockedLocation.DockedTop);
        DockableGroupPane groupL = new DockableGroupPane();
        DockableGroupPane groupR = new DockableGroupPane();
        DockableControlPane pane1 = new DockableControlPane();
        DockableControlPane pane2 = new DockableControlPane();
        DockableControlPane pane3 = new DockableControlPane();
        DockableControlPane pane4 = new DockableControlPane();
        public Form1()
        {
            InitializeComponent();
            pane1.Control = ultraButton1;
            pane2.Control = ultraButton2;
            pane3.Control = ultraButton3;
            pane4.Control = ultraButton4;
            pane1.Settings.ShowCaption = Infragistics.Win.DefaultableBoolean.False;
            
            
            groupR.ChildPaneStyle = ChildPaneStyle.TabGroup;
            groupR.Panes.AddRange(new Infragistics.Win.UltraWinDock.DockablePaneBase[] {
            pane2,
            pane3,
            pane4});

            
            groupL.ChildPaneStyle = ChildPaneStyle.HorizontalSplit;
            groupL.Panes.AddRange(new Infragistics.Win.UltraWinDock.DockablePaneBase[] {
            pane1});
            

            dockArea.Panes.AddRange(new Infragistics.Win.UltraWinDock.DockablePaneBase[] { groupR, groupL });
           

            ultraDockManager1.DockAreas.Add(dockArea);
            
            groupR.Dock(DockedSide.Right);
            
        }
    }
}
